Skip to content
Payments docs are in beta — the OpenAPI contract is the source of truth.API reference
VortexPayments
Esc
↑↓navigate↵open⌘Jpreview

List payment requests by customer, account, request status, or latest attempt status

GET/v1/payment-requests
Authorization
AuthorizationBearer token · headerrequired
Public API key bearer token.
Query parameters
environmentstringrequired
merchantAccountIdstringrequired
customerstring
customerExternalIdstring
billingAccountIdstring
invoicestring
invoiceIdstring
paymentIntentIdstring
paymentIdstring
createdByRefstring
statusstring
lastAttemptStatusstring
limitstring
offsetstring
Responses
200Success
dataobjectrequired
requestIdstringrequired
400Bad request, including malformed JSON
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
401Missing or invalid API key
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
409Conflict, including idempotency body drift
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
422Validation failed
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
429API key rate limit exceeded
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
defaultError
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
Request
curl -X GET "https://api.vortex.nyc/v1/payment-requests?environment=string&merchantAccountId=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": {},
  "requestId": "string"
}